Eclipse GEF 3.3

## org.eclipse.gef.rulers
Interface RulerChangeListener

All Known Implementing Classes:
  RulerChangeListener.Stub

public interface RulerChangeListener

`RulerChangeListener`s can be added to `RulerProvider`s to receive notification about changes in the ruler/guide properties. This interface provides a mechanism for the (client-side) ruler/guide model to communicate changes to GEF's ruler/guide feature.

Since:
  3.0
See Also:
  `RulerProvider`

Nested Class Summary
`static class` `RulerChangeListener.Stub` Stub for the RulerChangeListener interface.

Method Summary
`void` `notifyGuideMoved(Object guide)` Invoked when a guide is moved.
`void` `notifyGuideReparented(Object guide)` Invoked when a guide is added to or removed from a ruler.
`void` `notifyPartAttachmentChanged(Object part, Object guide)` Invoked when a graphical component is attached to a guide.
`void` `notifyUnitsChanged(int newUnit)` Invoked when the ruler's unit of measurement is changed.

Method Detail

### notifyUnitsChanged

    public void notifyUnitsChanged(int newUnit)

  Invoked when the ruler's unit of measurement is changed.

  Parameters:
    `newUnit` - The new unit of measurement (RulerProvider.UNIT_INCES, UNIT_CENTIMETERS, or UNIT_PIXELS)

### notifyGuideReparented

    public void notifyGuideReparented(Object guide)

  Invoked when a guide is added to or removed from a ruler.

  Parameters:
    `guide` - The guide that was added or removed

### notifyGuideMoved

    public void notifyGuideMoved(Object guide)

  Invoked when a guide is moved.

  Parameters:
    `guide` - The guide that was moved

### notifyPartAttachmentChanged

    public void notifyPartAttachmentChanged(Object part,
                                            Object guide)

  Invoked when a graphical component is attached to a guide.

  Parameters:
    `part` - The model representation of the graphical compoment that was attached
    `guide` - The guide that the part was attached to

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.